import pytest
from fixtures import data_path
from creader import ClusterFileReader, clusterize
import sys

def test_references_on_clusterize(data_path):
    fname= (data_path/'beam_En700eV_-40deg_300V_10us_d0_f0_100.clust').as_posix()
    r = ClusterFileReader(fname)
    clusters = r.read(10)
    result = clusterize(clusters)
    assert sys.getrefcount(clusters) == 2 #Over counts by one due to call by reference
    assert sys.getrefcount(result) == 2 